import request from '@/utils/request'

// 查询发电机50hz报价列表
export function listInfo(query) {
  return request({
    url: '/fdj50/info/list',
    method: 'get',
    params: query
  })
}

// 查询发电机50hz报价详细
export function getInfo(id) {
  return request({
    url: '/fdj50/info/' + id,
    method: 'get'
  })
}

// 新增发电机50hz报价
export function addInfo(data) {
  return request({
    url: '/fdj50/info',
    method: 'post',
    data: data
  })
}

// 修改发电机50hz报价
export function updateInfo(data) {
  return request({
    url: '/fdj50/info',
    method: 'put',
    data: data
  })
}

// 删除发电机50hz报价
export function delInfo(id) {
  return request({
    url: '/fdj50/info/' + id,
    method: 'delete'
  })
}

// 导出发电机50hz报价
export function exportInfo(query) {
  return request({
    url: '/fdj50/info/export',
    method: 'get',
    params: query
  })
}